# Administration Reference

## fs lsmount

Purpose

Reports the volume for which a directory is the mount point.

Synopsis

    fs lsmount -dir <directory>+  [-help]

    fs ls -d <directory>+  [-h]

Description

The fs lsmount command reports the volume for which each specified directory is a mount point, or indicates with an error message that a directory is not a mount point or is not in AFS.

To create a mount point, use the fs mkmount command. To remove one, use the fs rmmount command.

Options

-dir
  Names the directory that serves as a mount point for a volume. The last element in the pathname provided must be an actual name, not a shorthand notation such as one or two periods (. or ..).

-help
  Prints the online help for this command. All other valid options are ignored.

Output

If the specified directory is a mount point, the output is of the following form:

       'directory' is a mount point for volume 'volume name'

where

- A number sign (`#`) precedes the volume name string for a regular mount point.

- A percent sign (`%`) precedes the volume name string for a read/write mount point.

- A cell name and colon (`:`) follow the number or percent sign and precede the volume name string for a cellular mount point.

The fs mkmount reference page explains how the Cache Manager interprets each of the three types of mount points.

If the directory is a symbolic link to a mount point, the output is of the form:

       'directory' is a symbolic link, leading to a mount point for volume 'volume name'

If the directory is not a mount point or is not in AFS, the output reads:

       'directory' is not a mount point.

If the output is garbled, it is possible that the mount point has become corrupted in the local AFS client cache. Use the fs flushmount command to discard it, which forces the Cache Manager to refetch the mount point.

Examples

The following example shows the mount point for the home directory of user smith:

       % fs lsmount /afs/abc.com/usr/smith
       '/afs/abc.com/usr/smith' is a mount point for volume '#user.smith'

The following example shows both the regular and read/write mount points for the ABC Corporation cell's `root.cell` volume.

       % fs lsmount /afs/abc.com
       '/afs/abc.com' is a mount point for volume '#root.cell'

       % fs lsmount /afs/.abc.com
       '/afs/.abc.com' is a mount point for volume '%root.cell'

The following example shows a cellular mount point: the State University cell's `root.cell` volume as mounted in the ABC Corporation cell's tree.

       % fs lsmount /afs/stateu.edu
       '/afs/stateu.edu' is a mount point for volume '#stateu.edu:root.cell'

Privilege Required

The issuer must have the l (lookup) permission on the ACL of the root directory of the volume that houses the file or directory named by the -dir argument, and on the ACL of each directory that precedes it in the pathname.

Related Information

fs flushmount

fs mkmount

fs rmmount

© IBM Corporation 2000. All Rights Reserved